Before updating to WordPress 5.0 in a few weeks, make sure you’re running WooCommerce 3.5.1+.

In case you missed it, WooCommerce 3.5 was released two weeks ago with some exciting new features and upgrades:

  • REST API v3
  • Friendlier transactional emails
  • Performance improvements

We strongly encourage you to install the latest version, following the best practice of first testing the update in a staging environment, rather than on your live store. If you’re new to this, try Jetpack Backups or perhaps sigh up to our Maintenance Package.

When WordPress 5.0 is released this month – currently planned for November 19 – your site needs to be running WooCommerce 3.5.1+ to avoid breaking changes.

This is even more important if you have auto-updates toggled on. Need further information please contact us.